Неразрешенная зависимость: python-wxgtk2.8

Интернет
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Автор темы
VA_Makarov
Сообщения: 8
Зарегистрирован: 04 фев 2017, 14:23
Благодарил (а): 2 раза

Неразрешенная зависимость: python-wxgtk2.8

Сообщение VA_Makarov » 04 фев 2017, 14:35

Здравствуйте, :hi2:
подскажите пожалуйста, с чем может быть связана ошибка - "неразрешенная зависимость: python-wxgtk2.8", которая возникла при установке пакета tribler_6.5.2_all.deb, через ПО установки пакетов GDebi.
- https://goo.gl/photos/uW9EjwExpLoZhYaZ9
при установке пакета python-wxgtk2.8_2.8.12.1-6ubuntu2_amd64.deb, возникает ошибка:
- https://goo.gl/photos/QfjsDWWFjprc1dwd6
После установки пакете libwxbase2.8-0_2.8.12.1-6ubuntu2_amd64.deb, и python-wxgtk2.8_2.8.12.1-6ubuntu2_amd64.deb запуске ситуация не меняется:
- https://goo.gl/photos/uW9EjwExpLoZhYaZ9

P.S. Mint поставил только вчера. :write:

Решение Chocobo » 04 фев 2017, 16:31
Заглянул на их форум, отсутсвие поддержки xenial в 6.5 подтвердилось

Но, там же нашел dev-ветку, откуда можно скачать 7.0-alpha - https://jenkins.tribler.org/job/Build_T ... /artifact/
Эта версия у меня стартанула норм, глубоко функциональность не щупал:
Screenshot_20170204_193047.png
Т.е. до релиза седьмой версии (которая явно будет поддерживаться) можно пока пользоваться альфами некоторое время

Перейти к ответу ➙

Аватара пользователя

Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Неразрешенная зависимость: python-wxgtk2.8

Сообщение Chocobo » 04 фев 2017, 14:55

VA_Makarov, Пакет требует зависимость, которой уже нет в новых версиях дистрибутива. в 18+ уже идет python-wxgtk3.0

Притом зависимость довольно жесткая, я попробовал пересобрать пакет чтоб приучить его к реалиям, оно ставится ,но программа падает после запуска.

Тянуть все зависимости руками - затея малоинтересная, и зачастую опасная т.к. один из пакетов может захотеть вынести полсистемы.

Т.к. версия программы актуальная - вопросы стоит задавать ее разработчикам, почему их детище не работает в Минт 18 (Ubuntu 16.04)

Ну и еще можно попробовать руками собрать из source-архива, но т.к.
VA_Makarov писал(а): Mint поставил только вчера.
успех вероятен лишь относительно)


Что кстати за прога такая, что она делает? может знаем рабочие аналоги под эту задачу... :smile:
Изображение
   
Изображение


Автор темы
VA_Makarov
Сообщения: 8
Зарегистрирован: 04 фев 2017, 14:23
Благодарил (а): 2 раза

Неразрешенная зависимость: python-wxgtk2.8

Сообщение VA_Makarov » 04 фев 2017, 15:14

Tribler (Tribler и https://www.tribler.org/about.html) - BitTorrent-клиент, функции которого, у других торрент-клиентов, ранее не встречал, аналог Zona и MediaGet :). Ставить Vine не вижу смысла, ибо если есть готовое ПО, зачем городить огород?)

Аватара пользователя

Chocobo
Сообщения: 8876
Зарегистрирован: 27 авг 2016, 19:57
Решено: 195
Откуда: НН
Благодарил (а): 608 раз
Поблагодарили: 2475 раз

Неразрешенная зависимость: python-wxgtk2.8

Сообщение Chocobo » 04 фев 2017, 16:31

Заглянул на их форум, отсутсвие поддержки xenial в 6.5 подтвердилось

Но, там же нашел dev-ветку, откуда можно скачать 7.0-alpha - https://jenkins.tribler.org/job/Build_T ... /artifact/
Эта версия у меня стартанула норм, глубоко функциональность не щупал:
Screenshot_20170204_193047.png
Т.е. до релиза седьмой версии (которая явно будет поддерживаться) можно пока пользоваться альфами некоторое время
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Изображение
   
Изображение


Автор темы
VA_Makarov
Сообщения: 8
Зарегистрирован: 04 фев 2017, 14:23
Благодарил (а): 2 раза

Неразрешенная зависимость: python-wxgtk2.8

Сообщение VA_Makarov » 04 фев 2017, 16:52

Спасибо :).

Аватара пользователя

Dja
Сообщения: 4988
Зарегистрирован: 27 авг 2016, 17:03
Решено: 17
Откуда: Voskresensk
Благодарил (а): 673 раза
Поблагодарили: 521 раз

Неразрешенная зависимость: python-wxgtk2.8

Сообщение Dja » 05 фев 2017, 10:02

VA_Makarov писал(а): BitTorrent-клиент, функции которого, у других торрент-клиентов, ранее не встречал
и что же за функция такая?


Автор темы
VA_Makarov
Сообщения: 8
Зарегистрирован: 04 фев 2017, 14:23
Благодарил (а): 2 раза

Неразрешенная зависимость: python-wxgtk2.8

Сообщение VA_Makarov » 05 фев 2017, 14:16

Рассчитывал, что он можете заменить Zona, ПО под Windows через которое можно скачивать фильмы, ПО, игры и прочие файлы с торрентов, без переходов на торрент-сайты :) но, дико ошибался :). Частично поставленную задачу решает VUZE.

Аватара пользователя

Dja
Сообщения: 4988
Зарегистрирован: 27 авг 2016, 17:03
Решено: 17
Откуда: Voskresensk
Благодарил (а): 673 раза
Поблагодарили: 521 раз

Неразрешенная зависимость: python-wxgtk2.8

Сообщение Dja » 14 фев 2017, 10:37

хм, чтобы такое делать торрент-клиент должен обладать встроенным браузером. Vuze пробовал. Не помню чтоб он ходил так. Но кто знает, может уже нашпиговали разными плагинами. Вобщем таки вам нужен комбайн, а не торрект-клиент ) Как торрент-клиент transmission вполне годен.


Автор темы
VA_Makarov
Сообщения: 8
Зарегистрирован: 04 фев 2017, 14:23
Благодарил (а): 2 раза

Неразрешенная зависимость: python-wxgtk2.8

Сообщение VA_Makarov » 16 фев 2017, 08:48

Vuze хорошо, но по сравнению с Zona - балавство :). Буду пробовать через Vine :).

Вернуться в «Работа с сетью»